Package org.mariadb.jdbc.util.timeout

## Interface QueryTimeoutHandler

All Superinterfaces:
  `AutoCloseable`

All Known Implementing Classes:
  `NoOpQueryTimeoutHandler`, `QueryTimeoutHandlerImpl`

    public interface QueryTimeoutHandler
    extends AutoCloseable

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`QueryTimeoutHandler` `create​(int queryTimeout)`

### Method Detail

#### create

    QueryTimeoutHandler create​(int queryTimeout)

#### close

    void close()

Specified by:
  `close` in interface `AutoCloseable`